<html>
	<head>
		{% if title %}
			<title>{{ title }} - Microblog</title>
		{% else %}
			<title>Welcome to Microblog</title>
		{% endif %}
	</head>
	<body>
		<div>
			Microblog: 
			<a href="{{ url_for('index') }}">Home</a>
			<a href="{{ url_for('login') }}">Login</a>
		</div>
		<hr>
		
		{% with messages = get_flashed_messages() %}
			{% if messages %}
				<ul>
					{% for message in messages %}
						<li>{{ message }}</li>
					{% endfor %}
				</ul>
			{% endif %}
		{% endwith %}
		
		{% block content %}{% endblock %}
	</body>
</html>
